/*
 Copyright © 2016 VMware, Inc. All rights reserved.
 This product is protected by copyright and intellectual property laws in the United States and other countries as well as by international treaties.
 AirWatch products may be covered by one or more patents listed at http://www.vmware.com/go/patents.
 */

/*! \file SDKIntro.h */

#ifndef SDKIntro_h
#define SDKIntro_h


/*! \mainpage Introduction
 
 * The AirWatch Software Development Kit (SDK) is a set of tools allowing organizations to
 * incorporate a host of features and functionality into their custom-built iOS applications. The AirWatch
 * SDK enhances the security and functionality of those applications and in turn helps save application 
 * development time and money.
 
 * Integrating an application with the AirWatch SDK can be broken down into five main steps.
 
 *
 * <b> Enable the Core SDK Framework within Xcode </b>
 *
 * - Add Required Frameworks \n
 * - Configure the Server Connections \n
 * - Implement the Command Processors \n
 * - Implement the Beacon \n
 * - Implement the DataSampler \n\n
 
 * Detailed explaination about each step can be found in AirWatch iOS SDK Technical Implementation Guide.

 */

#endif /* SDKIntro_h */
